
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, and Azure
-- --------------------------------------------------
-- Date Created: 06/09/2010 14:17:14
-- Generated from EDMX file: C:\TICKETS\TreeView\TreeViewLoadonDemandRIAServicesFlatHieararchyConverter\TreeViewLoadonDemandRIAServices.Web\MyModel.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [MyDatabase];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[FK_MyDataTableMyDataTable]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[MyDataTables] DROP CONSTRAINT [FK_MyDataTableMyDataTable];
GO

-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[MyDataTables]', 'U') IS NOT NULL
    DROP TABLE [dbo].[MyDataTables];
GO

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'MyDataTables'
CREATE TABLE [dbo].[MyDataTables] (
    [ID] int  NOT NULL,
    [Text] nchar(10)  NOT NULL,
    [ParentID] int  NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [ID] in table 'MyDataTables'
ALTER TABLE [dbo].[MyDataTables]
ADD CONSTRAINT [PK_MyDataTables]
    PRIMARY KEY CLUSTERED ([ID] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on [ParentID] in table 'MyDataTables'
ALTER TABLE [dbo].[MyDataTables]
ADD CONSTRAINT [FK_MyDataTableMyDataTable]
    FOREIGN KEY ([ParentID])
    REFERENCES [dbo].[MyDataTables]
        ([ID])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_MyDataTableMyDataTable'
CREATE INDEX [IX_FK_MyDataTableMyDataTable]
ON [dbo].[MyDataTables]
    ([ParentID]);
GO

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------